.dexes-page-block {
  background-color: $white;
  box-shadow: 0 0 14px rgba(0, 0, 0, 0.25);
  border-radius: 10px;

  .info-button {
    font-size: 0.8rem;
  }

  dl {
    width: 100%;
  }

  .authority {
    height: max-content;
    min-width: fit-content;
    white-space: normal;
  }

  .desktop-border-right {
    @media (min-width: 768px) {
      border-right: 1px solid $black-15;
    }

    img {
      max-width: 50%;
      float: right;
      margin-left: 1rem;
    }
  }

  .desktop-align-right {
    float: right;

    @media (max-width: 767px) {
      margin: 0 auto !important;
      float: inherit;
      width: 100%;
    }
  }

  .masonry-item {
    align-self: flex-start;
    flex-grow: 0;
    width: 31%;
    padding: 0;

    @media only screen and (min-width: 641px) and (max-width: 991px) {
      width: 48%;

      &:nth-child(2n+0) {
        width: 100%;

        img {
          max-width: 50%;
          float: right;
          margin-left: 1rem;
        }
      }

      .teaser-box {
        display: block !important;

        .reversed {
          flex-direction: column !important;

          > * {
            flex-direction: column !important;
          }
        }
      }
    }

    @media only screen and (max-width: 640px) {
      width: 100%;
    }

    .teaser-box {
      &.hider {
        opacity: 0;
      }

      border-radius: 10px;
      min-height: 1rem;
      margin-top: 1rem;
      overflow: hidden;
      -webkit-transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
      transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out, opacity 1s ease-in-out;
      display: flex;
      flex-direction: column;

      > *:not(img) {
        width: 100%;
        padding: 1rem;
        font-family: "Merriweather Sans Light";
        font-size: 14px;
      }

      &:hover {
        text-decoration: none !important;

        > *:not(img) {
          text-decoration: none !important;

          h3 {
            text-decoration: none !important;
          }
        }
      }

      .teaser-box-clamp {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 5;
        -webkit-box-orient: vertical;
      }

      &.reversed {
        flex-direction: column-reverse;

        > * {
          flex-direction: column-reverse;
        }
      }
    }
  }
}
